Bug 239735

Summary: www/gohugo: Should default to building with EXTENDED (OPTION) enabled
Product: Ports & Packages Reporter: Daniel Ebdrup Jensen <debdrup>
Component: Individual Port(s)Assignee: Kai Knoblich <kai>
Status: Closed FIXED    
Severity: Affects Some People CC: ben.lavery
Priority: --- Keywords: feature
Version: LatestFlags: koobs: maintainer-feedback+
Hardware: Any   
OS: Any   
Bug Depends on: 239687    
Bug Blocks:    

Description Daniel Ebdrup Jensen freebsd_committer 2019-08-09 09:03:48 UTC
Since a good number of the themes available on themes.gohugo.io use the TOCSS function which isn't available in the current version that is being built as packages, can the port please have extended=on set?
Comment 1 ben.lavery@hashbang0.com 2019-08-09 09:37:04 UTC
Yes, this sounds like a good idea.  Let me see if I can get it added onto 239687 when I get home tonight (BST)
Comment 2 ben.lavery@hashbang0.com 2019-08-09 22:27:06 UTC
I've added a new patch to https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239687 which includes extended=on by default.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-10 02:03:18 UTC
(In reply to ben.lavery@hashbang0.com from comment #1)

It's preferable to have individual changes/fixes in their respective issues, instead of bundling them up into a single issue elsewhere, especially if the other issue is a version update.

In this instance we'll leave it as is, as the patch has already been updated to include the request from this issue
Comment 4 Tobias Kortkamp freebsd_committer 2019-09-23 08:01:53 UTC
Fixed in ports r512161 by kai@.